Delete a Bank Account
curl --request DELETE \
--url https://api.spherepay.co/v2/bank-account/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spherepay.co/v2/bank-account/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spherepay.co/v2/bank-account/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true
}{
"status": 400,
"detail": "Invalid request parameters",
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c"
}{
"status": 404,
"detail": "Resource not found",
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c"
}{
"status": 422,
"detail": "Validation failed",
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
]
}Cuentas Bancarias
Eliminar una Cuenta Bancaria del Cliente Registrada
Delete a bank account by its ID.
Delete a Bank Account
Usa este endpoint para eliminar permanentemente una cuenta bancaria registrada de SpherePay. Una vez eliminada, el ID de cuenta ya no puede usarse en solicitudes de transferencia. No puedes eliminar una cuenta bancaria que tenga transferencias pendientes o activas asociadas a ella.
Esta acción es irreversible. Asegúrate de no tener transferencias activas o pendientes que hagan referencia a esta cuenta bancaria antes de eliminarla.
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de ruta
The bank account ID
Minimum string length:
1Ejemplo:
"bankAccount_ce745ef7f3df4b9a8bff1301ce24b045"
Respuesta
Indicates whether the deletion was successful
Ejemplo:
true
Última modificación el 22 de junio de 2026
⌘I